# DO NOT DELETE: Beginning of Haskell dependencies
utils/haddock/dist/build/Documentation/Haddock/Types.o : utils/haddock/haddock-library/src/Documentation/Haddock/Types.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Documentation/Haddock/Types.hi  : %hi: %o  utils/haddock/haddock-library/src/Documentation/Haddock/Types.hs))
utils/haddock/dist/build/Documentation/Haddock/Types.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock/Types.o : libraries/base/dist-install/build/Data/Bitraversable.hi
utils/haddock/dist/build/Documentation/Haddock/Types.o : libraries/base/dist-install/build/Data/Bifoldable.hi
utils/haddock/dist/build/Documentation/Haddock/Types.o : libraries/base/dist-install/build/Data/Bifunctor.hi
utils/haddock/dist/build/Documentation/Haddock/Types.o : libraries/base/dist-install/build/Control/Arrow.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : utils/haddock/haddock-library/src/Documentation/Haddock/Parser/Monad.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.hi  : %hi: %o  utils/haddock/haddock-library/src/Documentation/Haddock/Parser/Monad.hs))
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : utils/haddock/dist/build/Documentation/Haddock/Types.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/base/dist-install/build/Data/Bits.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/base/dist-install/build/Data/String.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/text/dist-install/build/Data/Text.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/text/dist-install/build/Data/Text.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/parsec/dist-install/build/Text/Parsec.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.o : libraries/parsec/dist-install/build/Text/Parsec/Char.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : utils/haddock/haddock-library/src/Documentation/Haddock/Parser/Util.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Documentation/Haddock/Parser/Util.hi  : %hi: %o  utils/haddock/haddock-library/src/Documentation/Haddock/Parser/Util.hs))
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : libraries/text/dist-install/build/Data/Text.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : libraries/text/dist-install/build/Data/Text.hi
utils/haddock/dist/build/Documentation/Haddock/Parser/Util.o : libraries/parsec/dist-install/build/Text/Parsec.hi
utils/haddock/dist/build/Documentation/Haddock/Markup.o : utils/haddock/haddock-library/src/Documentation/Haddock/Markup.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Documentation/Haddock/Markup.hi  : %hi: %o  utils/haddock/haddock-library/src/Documentation/Haddock/Markup.hs))
utils/haddock/dist/build/Documentation/Haddock/Markup.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock/Markup.o : utils/haddock/dist/build/Documentation/Haddock/Types.hi
utils/haddock/dist/build/Documentation/Haddock/Doc.o : utils/haddock/haddock-library/src/Documentation/Haddock/Doc.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Documentation/Haddock/Doc.hi  : %hi: %o  utils/haddock/haddock-library/src/Documentation/Haddock/Doc.hs))
utils/haddock/dist/build/Documentation/Haddock/Doc.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock/Doc.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Documentation/Haddock/Doc.o : utils/haddock/dist/build/Documentation/Haddock/Types.hi
utils/haddock/dist/build/Documentation/Haddock/Doc.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : utils/haddock/haddock-library/src/Documentation/Haddock/Parser.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Documentation/Haddock/Parser.hi  : %hi: %o  utils/haddock/haddock-library/src/Documentation/Haddock/Parser.hs))
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Text/Read/Lex.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/text/dist-install/build/Data/Text.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/text/dist-install/build/Data/Text.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/parsec/dist-install/build/Text/Parsec.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/parsec/dist-install/build/Text/Parsec.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : utils/haddock/dist/build/Documentation/Haddock/Types.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : utils/haddock/dist/build/Documentation/Haddock/Parser/Util.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : utils/haddock/dist/build/Documentation/Haddock/Parser/Monad.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : utils/haddock/dist/build/Documentation/Haddock/Doc.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/containers/dist-install/build/Data/Set.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Data/Monoid.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Control/Arrow.hi
utils/haddock/dist/build/Documentation/Haddock/Parser.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Documentation/Haddock/Utf8.o : utils/haddock/haddock-library/src/Documentation/Haddock/Utf8.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Documentation/Haddock/Utf8.hi  : %hi: %o  utils/haddock/haddock-library/src/Documentation/Haddock/Utf8.hs))
utils/haddock/dist/build/Documentation/Haddock/Utf8.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock/Utf8.o : libraries/base/dist-install/build/Data/Word.hi
utils/haddock/dist/build/Documentation/Haddock/Utf8.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Documentation/Haddock/Utf8.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
utils/haddock/dist/build/Documentation/Haddock/Utf8.o : libraries/base/dist-install/build/Data/Bits.hi
utils/haddock/dist/build/Haddock/Backends/HaddockDB.o : utils/haddock/haddock-api/src/Haddock/Backends/HaddockDB.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/HaddockDB.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/HaddockDB.hs))
utils/haddock/dist/build/Haddock/Backends/HaddockDB.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.o : utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Types.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Types.hs))
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Parser.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Parser.hs))
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : compiler/stage2/build/Lexer.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : compiler/stage2/build/Lexer.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : compiler/stage2/build/StringBuffer.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : compiler/stage2/build/SrcLoc.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : libraries/base/dist-install/build/Text/Read.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.o : libraries/base/dist-install/build/Data/Either.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Types.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Types.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml/Types.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Types.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml/Types.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Types.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Types.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Parser.o : utils/haddock/haddock-api/src/Haddock/Parser.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Parser.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Parser.hs))
utils/haddock/dist/build/Haddock/Parser.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Parser.o : compiler/stage2/build/StringBuffer.hi
utils/haddock/dist/build/Haddock/Parser.o : compiler/stage2/build/SrcLoc.hi
utils/haddock/dist/build/Haddock/Parser.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Parser.o : compiler/stage2/build/Parser.hi
utils/haddock/dist/build/Haddock/Parser.o : compiler/stage2/build/Lexer.hi
utils/haddock/dist/build/Haddock/Parser.o : utils/haddock/dist/build/Documentation/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Parser.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Parser.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/Parser.o : utils/haddock/dist/build/Documentation/Haddock/Parser.hi
utils/haddock/dist/build/Haddock/Syb.o : utils/haddock/haddock-api/src/Haddock/Syb.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Syb.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Syb.hs))
utils/haddock/dist/build/Haddock/Syb.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Syb.o : libraries/base/dist-install/build/Data/Foldable.hi
utils/haddock/dist/build/Haddock/Syb.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Syb.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Haddock/Syb.o : libraries/base/dist-install/build/Data/Data.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Ast.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Ast.hs))
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : libraries/containers/dist-install/build/Data/Map/Strict.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : libraries/base/dist-install/build/Data/Data.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : compiler/stage2/build/SrcLoc.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.o : utils/haddock/dist/build/Haddock/Syb.hi
utils/haddock/dist/build/Haddock/Types.o : utils/haddock/haddock-api/src/Haddock/Types.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Types.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Types.hs))
utils/haddock/dist/build/Haddock/Types.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Types.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Haddock/Types.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Types.o : compiler/stage2/build/OccName.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.hi
utils/haddock/dist/build/Haddock/Types.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/Types.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Types.o : compiler/stage2/build/BasicTypes.hi
utils/haddock/dist/build/Haddock/Types.o : utils/haddock/dist/build/Documentation/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/base/dist-install/build/Data/Data.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/base/dist-install/build/Data/Typeable.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/base/dist-install/build/Control/Monad/IO/Class.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/base/dist-install/build/Control/Arrow.hi
utils/haddock/dist/build/Haddock/Types.o : libraries/base/dist-install/build/Control/Exception.hi
utils/haddock/dist/build/Haddock/ModuleTree.o : utils/haddock/haddock-api/src/Haddock/ModuleTree.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/ModuleTree.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/ModuleTree.hs))
utils/haddock/dist/build/Haddock/ModuleTree.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/ModuleTree.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Haddock/ModuleTree.o : compiler/stage2/build/PackageConfig.hi
utils/haddock/dist/build/Haddock/ModuleTree.o : compiler/stage2/build/Packages.hi
utils/haddock/dist/build/Haddock/ModuleTree.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/ModuleTree.o : compiler/stage2/build/Module.hi
utils/haddock/dist/build/Haddock/ModuleTree.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/ModuleTree.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : utils/haddock/haddock-api/src/Haddock/Interface/Specialize.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Interface/Specialize.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Interface/Specialize.hs))
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/containers/dist-install/build/Data/Set.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/containers/dist-install/build/Data/Set.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/base/dist-install/build/Data/Data.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/transformers/dist-install/build/Control/Monad/Trans/State.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface/Specialize.o : utils/haddock/dist/build/Haddock/Syb.hi
utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.o : utils/haddock/haddock-api/src/Haddock/Interface/ParseModuleHeader.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Interface/ParseModuleHeader.hs))
utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.o : utils/haddock/dist/build/Haddock/Parser.hi
utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : utils/haddock/haddock-api/src/Haddock/Interface/LexParseRn.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Interface/LexParseRn.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Interface/LexParseRn.hs))
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : compiler/stage2/build/RnEnv.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : compiler/stage2/build/EnumSet.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : utils/haddock/dist/build/Haddock/Parser.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : utils/haddock/dist/build/Haddock/Interface/ParseModuleHeader.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : utils/haddock/dist/build/Documentation/Haddock/Doc.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : libraries/base/dist-install/build/Data/Ord.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : libraries/base/dist-install/build/Control/Arrow.hi
utils/haddock/dist/build/Haddock/Interface/LexParseRn.o : compiler/stage2/build/Avail.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : utils/haddock/haddock-api/src/Haddock/GhcUtils.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/GhcUtils.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/GhcUtils.hs))
utils/haddock/dist/build/Haddock/GhcUtils.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/HsTypes.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/Class.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/HscTypes.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/Module.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/Lexeme.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/NameSet.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : compiler/stage2/build/Exception.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/GhcUtils.o : libraries/base/dist-install/build/Control/Arrow.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : utils/haddock/haddock-api/src/Haddock/Interface/Rename.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Interface/Rename.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Interface/Rename.hs))
utils/haddock/dist/build/Haddock/Interface/Rename.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : compiler/stage2/build/PrelNames.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : compiler/stage2/build/Bag.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Interface/Rename.o : libraries/base/dist-install/build/Data/Traversable.hi
utils/haddock/dist/build/Haddock/Convert.o : utils/haddock/haddock-api/src/Haddock/Convert.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Convert.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Convert.hs))
utils/haddock/dist/build/Haddock/Convert.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Convert.o : utils/haddock/dist/build/Haddock/Interface/Specialize.hi
utils/haddock/dist/build/Haddock/Convert.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/VarSet.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/Var.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/Util.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/Unique.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/PrelNames.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/TysWiredIn.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/TysPrim.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/TyCoRep.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/Type.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/TyCon.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/TcType.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/SrcLoc.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/PatSyn.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/NameSet.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/HsSyn.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/FV.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/FamInstEnv.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/DataCon.hi
utils/haddock/dist/build/Haddock/Convert.o : libraries/base/dist-install/build/Data/Either.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/ConLike.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/CoAxiom.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/Class.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/BasicTypes.hi
utils/haddock/dist/build/Haddock/Convert.o : compiler/stage2/build/Bag.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : utils/haddock/haddock-api/src/Haddock/Interface/AttachInstances.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Interface/AttachInstances.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Interface/AttachInstances.hs))
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/Var.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/TysPrim.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/TyCoRep.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/TyCon.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/SrcLoc.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/PrelNames.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/NameEnv.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/MonadUtils.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/Module.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/InstEnv.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/FamInstEnv.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/ErrUtils.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/CoreSyn.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : compiler/stage2/build/Class.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : libraries/containers/dist-install/build/Data/Set.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : libraries/base/dist-install/build/Data/Ord.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : libraries/base/dist-install/build/Control/Arrow.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : utils/haddock/dist/build/Haddock/Convert.hi
utils/haddock/dist/build/Haddock/Interface/AttachInstances.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Utils.o : utils/haddock/haddock-api/src/Haddock/Utils.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Utils.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Utils.hs))
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Utils.o : compiler/stage2/build/MonadUtils.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/System/Posix/Internals.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/Cabal/Cabal/dist-install/build/Distribution/ReadE.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Verbosity.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/filepath/dist-install/build/System/FilePath/Posix.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/System/IO/Unsafe.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/System/IO.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/System/Exit.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/System/Environment.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/Data/IORef.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/Numeric.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Haddock/Utils.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Utils.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Utils.o : compiler/stage2/build/HsTypes.hi
utils/haddock/dist/build/Haddock/Utils.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Utils.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Utils.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Utils.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Utils.o : utils/haddock/dist/build/Documentation/Haddock/Doc.hi
utils/haddock/dist/build/Haddock/Options.o : utils/haddock/haddock-api/src/Haddock/Options.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Options.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Options.hs))
utils/haddock/dist/build/Haddock/Options.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Options.o : libraries/base/dist-install/build/Text/ParserCombinators/ReadP.hi
utils/haddock/dist/build/Haddock/Options.o : libraries/base/dist-install/build/System/Console/GetOpt.hi
utils/haddock/dist/build/Haddock/Options.o : compiler/stage2/build/Packages.hi
utils/haddock/dist/build/Haddock/Options.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Options.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Options.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Options.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Options.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Verbosity.hi
utils/haddock/dist/build/Haddock/Options.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Haddock/Options.o : libraries/base/dist-install/build/Data/Version.hi
utils/haddock/dist/build/Haddock/Options.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Themes.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Themes.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/directory/dist-install/build/System/Directory.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/base/dist-install/build/Data/Either.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.o : utils/haddock/dist/build/Haddock/Options.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : utils/haddock/haddock-api/src/Haddock/InterfaceFile.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/InterfaceFile.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/InterfaceFile.hs))
utils/haddock/dist/build/Haddock/InterfaceFile.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/Unique.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/UniqSupply.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/UniqFM.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/IfaceEnv.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/NameCache.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/HscTypes.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/GhcMonad.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/FastMutInt.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/Binary.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : compiler/stage2/build/BinIface.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : libraries/base/dist-install/build/Data/Word.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : libraries/base/dist-install/build/Data/IORef.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : libraries/array/dist-install/build/Data/Array.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/InterfaceFile.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : utils/haddock/haddock-api/src/Haddock/Interface/Json.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Interface/Json.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Interface/Json.hs))
utils/haddock/dist/build/Haddock/Interface/Json.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : utils/haddock/dist/build/Haddock/InterfaceFile.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : libraries/base/dist-install/build/Data/Bifunctor.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : libraries/base/dist-install/build/Control/Arrow.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : compiler/stage2/build/Module.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : compiler/stage2/build/Json.hi
utils/haddock/dist/build/Haddock/Interface/Json.o : compiler/stage2/build/BasicTypes.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/haddock-api/src/Haddock/Interface/Create.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Interface/Create.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Interface/Create.hs))
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/HsDecls.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/BasicTypes.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/TcRnTypes.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/Bag.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/Packages.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/NameEnv.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/NameSet.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/HscTypes.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/ConLike.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/SrcLoc.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/Module.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/Avail.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : compiler/stage2/build/Avail.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Data/Traversable.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Control/Exception.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Control/Applicative.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Data/Ord.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Data/Bitraversable.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : libraries/base/dist-install/build/Data/Bifunctor.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Parser.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Ast.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/Interface/LexParseRn.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/Convert.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/Options.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Documentation/Haddock/Utf8.hi
utils/haddock/dist/build/Haddock/Interface/Create.o : utils/haddock/dist/build/Documentation/Haddock/Doc.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/haddock-api/src/Haddock/Interface.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Interface.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Interface.hs))
utils/haddock/dist/build/Haddock/Interface.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/ErrUtils.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/OccName.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/TcRnTypes.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/MonadUtils.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/HscTypes.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/Exception.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/Digraph.hi
utils/haddock/dist/build/Haddock/Interface.o : compiler/stage2/build/Module.hi
utils/haddock/dist/build/Haddock/Interface.o : libraries/base/dist-install/build/Text/Printf.hi
utils/haddock/dist/build/Haddock/Interface.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/haddock/dist/build/Haddock/Interface.o : libraries/directory/dist-install/build/System/Directory.hi
utils/haddock/dist/build/Haddock/Interface.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Verbosity.hi
utils/haddock/dist/build/Haddock/Interface.o : libraries/containers/dist-install/build/Data/Set.hi
utils/haddock/dist/build/Haddock/Interface.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Interface.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Interface.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/dist/build/Haddock/Options.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/dist/build/Haddock/Interface/Rename.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/dist/build/Haddock/Interface/AttachInstances.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/dist/build/Haddock/Interface/Create.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/dist/build/Haddock/InterfaceFile.hi
utils/haddock/dist/build/Haddock/Interface.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Doc.o : utils/haddock/haddock-api/src/Haddock/Doc.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Doc.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Doc.hs))
utils/haddock/dist/build/Haddock/Doc.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Doc.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Doc.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Doc.o : utils/haddock/dist/build/Documentation/Haddock/Doc.hi
utils/haddock/dist/build/Haddock/Doc.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Utils.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Utils.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : compiler/stage2/build/Module.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.o : utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Utils.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Utils.hs))
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.o : libraries/filepath/dist-install/build/System/FilePath/Posix.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Renderer.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker/Renderer.hs))
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : libraries/filepath/dist-install/build/System/FilePath/Posix.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : compiler/stage2/build/Unique.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Hyperlinker.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Hyperlinker.hs))
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : libraries/directory/dist-install/build/System/Directory.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Types.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker/Renderer.hi
utils/haddock/dist/build/Haddock/Backends/Hyperlinker.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Names.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Names.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/DocMarkup.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/DocMarkup.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : utils/haddock/dist/build/Haddock/Doc.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : utils/haddock/dist/build/Documentation/Haddock/Markup.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Layout.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Layout.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Decl.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Decl.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : compiler/stage2/build/BooleanFormula.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : libraries/base/dist-install/build/GHC/Exts.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/dist/build/Haddock/Doc.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : utils/haddock/haddock-api/src/Haddock/Backends/LaTeX.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/LaTeX.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/LaTeX.hs))
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : utils/haddock/dist/build/Haddock/Doc.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : libraries/directory/dist-install/build/System/Directory.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : compiler/stage2/build/RdrName.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : compiler/stage2/build/OccName.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : compiler/stage2/build/Pretty.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : compiler/stage2/build/Pretty.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Backends/LaTeX.o : utils/haddock/dist/build/Documentation/Haddock/Markup.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : utils/haddock/haddock-api/src/Haddock/Backends/Hoogle.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Hoogle.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Hoogle.hs))
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : libraries/base/dist-install/build/System/IO.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : libraries/directory/dist-install/build/System/Directory.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : libraries/base/dist-install/build/Data/Version.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : compiler/stage2/build/NameSet.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : compiler/stage2/build/Outputable.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : compiler/stage2/build/HsBinds.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : utils/haddock/dist/build/Documentation/Haddock/Markup.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : compiler/stage2/build/InstEnv.hi
utils/haddock/dist/build/Haddock/Backends/Hoogle.o : compiler/stage2/build/BasicTypes.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : utils/haddock/haddock-api/src/Haddock/Utils/Json.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Utils/Json.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Utils/Json.hs))
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/base/dist-install/build/Data/Monoid.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/base/dist-install/build/Data/Word.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/base/dist-install/build/Data/String.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/base/dist-install/build/Data/Int.hi
utils/haddock/dist/build/Haddock/Utils/Json.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Paths_haddock.o : utils/haddock/dist/build/haddock/autogen/Paths_haddock.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Paths_haddock.hi  : %hi: %o  utils/haddock/dist/build/haddock/autogen/Paths_haddock.hs))
utils/haddock/dist/build/Paths_haddock.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Paths_haddock.o : libraries/base/dist-install/build/System/Environment.hi
utils/haddock/dist/build/Paths_haddock.o : libraries/base/dist-install/build/Data/Version.hi
utils/haddock/dist/build/Paths_haddock.o : libraries/base/dist-install/build/Control/Exception.hi
utils/haddock/dist/build/Haddock/Version.o : utils/haddock/haddock-api/src/Haddock/Version.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Version.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Version.hs))
utils/haddock/dist/build/Haddock/Version.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Version.o : libraries/base/dist-install/build/Data/Version.hi
utils/haddock/dist/build/Haddock/Version.o : utils/haddock/dist/build/Paths_haddock.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Meta.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml/Meta.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.o : libraries/base/dist-install/build/System/IO.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.o : utils/haddock/dist/build/Haddock/Version.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.o : utils/haddock/dist/build/Haddock/Utils/Json.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/haddock-api/src/Haddock/Backends/Xhtml.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock/Backends/Xhtml.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock/Backends/Xhtml.hs))
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : compiler/stage2/build/Name.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/base/dist-install/build/Data/Ord.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/containers/dist-install/build/Data/Set.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/base/dist-install/build/System/IO.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/directory/dist-install/build/System/Directory.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/base/dist-install/build/Data/Char.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/GhcUtils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/xhtml/dist-install/build/Text/XHtml.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Utils/Json.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Version.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/ModuleTree.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Utils.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Types.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Names.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Layout.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/DocMarkup.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Decl.hi
utils/haddock/dist/build/Haddock/Backends/Xhtml.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/haddock-api/src/Haddock.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Haddock.hi  : %hi: %o  utils/haddock/haddock-api/src/Haddock.hs))
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/DynamicLoading.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/FastString.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/Module.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/Panic.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/Packages.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/ErrUtils.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/DynFlags.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/Config.hi
utils/haddock/dist/build/Haddock.o : compiler/stage2/build/GHC.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Text/ParserCombinators/ReadP.hi
utils/haddock/dist/build/Haddock.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/System/Exit.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/System/IO.hi
utils/haddock/dist/build/Haddock.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Data/Version.hi
utils/haddock/dist/build/Haddock.o : libraries/containers/dist-install/build/Data/Map.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Data/IORef.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Control/Exception.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Data/List.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Data/Traversable.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Data/Foldable.hi
utils/haddock/dist/build/Haddock.o : libraries/base/dist-install/build/Control/Monad.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Utils.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Options.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/InterfaceFile.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Version.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Parser.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Interface/Json.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Interface.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Backends/Hyperlinker.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Backends/Hoogle.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Backends/LaTeX.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Themes.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Backends/Xhtml/Meta.hi
utils/haddock/dist/build/Haddock.o : utils/haddock/dist/build/Haddock/Backends/Xhtml.hi
utils/haddock/dist/build/Documentation/Haddock.o : utils/haddock/haddock-api/src/Documentation/Haddock.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Documentation/Haddock.hi  : %hi: %o  utils/haddock/haddock-api/src/Documentation/Haddock.hs))
utils/haddock/dist/build/Documentation/Haddock.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Documentation/Haddock.o : utils/haddock/dist/build/Haddock.hi
utils/haddock/dist/build/Documentation/Haddock.o : utils/haddock/dist/build/Haddock/Options.hi
utils/haddock/dist/build/Documentation/Haddock.o : utils/haddock/dist/build/Haddock/Types.hi
utils/haddock/dist/build/Documentation/Haddock.o : utils/haddock/dist/build/Haddock/Interface.hi
utils/haddock/dist/build/Documentation/Haddock.o : utils/haddock/dist/build/Haddock/InterfaceFile.hi
utils/haddock/dist/build/Documentation/Haddock.o : utils/haddock/dist/build/Documentation/Haddock/Markup.hi
utils/haddock/dist/build/Main.o : utils/haddock/driver/Main.hs
$(eval $(call hi-rule,utils/haddock/dist/build/Main.hi  : %hi: %o  utils/haddock/driver/Main.hs))
utils/haddock/dist/build/Main.o : libraries/base/dist-install/build/Prelude.hi
utils/haddock/dist/build/Main.o : libraries/base/dist-install/build/GHC/ResponseFile.hi
utils/haddock/dist/build/Main.o : utils/haddock/dist/build/Documentation/Haddock.hi
# DO NOT DELETE: End of Haskell dependencies
utils/haddock_dist_depfile_haskell_EXISTS = YES
